org.apache.cassandra.db

## Interface PartitionPosition

All Superinterfaces:
  java.lang.Comparable<PartitionPosition>, RingPosition<PartitionPosition>

All Known Implementing Classes:
  BufferDecoratedKey, CachedHashDecoratedKey, DecoratedKey, NativeDecoratedKey, PreHashedDecoratedKey, Token.KeyBound

    public interface PartitionPosition
    extends RingPosition<PartitionPosition>

### Nested Class Summary

Nested Classes
`static class` `PartitionPosition.ForKey`
`static class` `PartitionPosition.Kind`
`static class` `PartitionPosition.RowPositionSerializer`

### Field Summary

Fields
`static PartitionPosition.RowPositionSerializer` `serializer`

### Method Summary

All Methods Instance Methods Abstract Methods
`boolean` `isMinimum()`
`PartitionPosition.Kind` `kind()`

### Methods inherited from interface org.apache.cassandra.dht.RingPosition

`getPartitioner, getToken, minValue`

### Methods inherited from interface java.lang.Comparable

`compareTo`

### Field Detail

#### serializer

    static final PartitionPosition.RowPositionSerializer serializer

### Method Detail

#### kind

    PartitionPosition.Kind kind()

#### isMinimum

    boolean isMinimum()

Specified by:
  `isMinimum` in interface `RingPosition<PartitionPosition>`